Bug 671311 - RFE: Add debug to bonding driver as module option
Summary: RFE: Add debug to bonding driver as module option
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 247116
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-21 05:36 UTC by Hangbin Liu
Modified: 2015-05-05 01:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 247116
Environment:
Last Closed: 2011-02-24 13:32:04 UTC


Attachments (Terms of Use)

Description Hangbin Liu 2011-01-21 05:36:20 UTC
+++ This bug was initially created as a clone of Bug #247116 +++

Description of problem:

Currently the only way to enable debug functionality in the bonding driver is to
modify bond_main.c and recompile.  Would like to see this as a runtime module
option.

Comment 2 RHEL Product and Program Management 2011-02-01 06:23:03 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 RHEL Product and Program Management 2011-02-01 19:09:17 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 4 Jiri Pirko 2011-02-24 13:32:04 UTC
Not needed/desired for rhel6 - see Documentation/dynamic-debug-howto.txt


Note You need to log in before you can comment on or make changes to this bug.